#include <SDL/SDL.h>
#include <SDL_gfxPrimitives_font.h>
#include <SDL_gfxPrimitives.h>
#include <SDL_framerate.h>
#include <SDL_imageFilter.h>
#include <SDL_rotozoom.h>
#include <time.h>
#include <stdlib.h>

#define RESX 640
#define RESY 480
#define BITDEPTH 16

int main (int argc, char** argv)
{
	SDL_Surface * pantalla;
	srand(time(NULL));
	
	if (SDL_Init(SDL_INIT_VIDEO) < 0 )
	{
		fprintf(stderr,"Error en la inicializacion de SDL: %s\n",SDL_GetError());
		exit(1);
	}
	
	if ( (pantalla = SDL_SetVideoMode(RESX, RESY, BITDEPTH, SDL_HWSURFACE)) == NULL)
	{
		fprintf(stderr,"Error SDL_SetVideoMode: %s\n",SDL_GetError());
		exit(1);
	}
		
	
	for (int i=0;i<30;i++)
	{
		stringRGBA(pantalla, rand()%500,rand()%400, "[Raist]DJ Sound of Music" ,rand()%255,rand()%255,rand()%255,rand()%255);
		SDL_UpdateRect(pantalla,0,0,0,0);
	}
	
	SDL_Delay(10000);
	
	
	
	SDL_UpdateRect(pantalla,0,0,0,0);
	
	SDL_Delay(5000);
	

	
	
	
	atexit(SDL_Quit);
}
