#include <SDL/SDL.h>
#include <SDL_gfxPrimitives_font.h>
#include <SDL_gfxPrimitives.h>

#include <stdlib.h>
#include <time.h>

#define RESX 640
#define RESY 480
#define BITDEPTH 16

int main (int argc, char** argv)
{
	SDL_Surface * pantalla;
	srand(time(NULL));
	
	if (SDL_Init(SDL_INIT_VIDEO) < 0 )
	{
		fprintf(stderr,"Error en la inicializacion de SDL: %s\n",SDL_GetError());
		exit(1);
	}
	
	if ( (pantalla = SDL_SetVideoMode(RESX, RESY, BITDEPTH, SDL_HWSURFACE)) == NULL)
	{
		fprintf(stderr,"Error SDL_SetVideoMode: %s\n",SDL_GetError());
		exit(1);
	}
	
	for (int i=0; i<20;i++)
	{
		lineRGBA(pantalla, rand()%640, rand()%480, rand()%640, rand()%480, rand()%256, rand()%256, rand()%256,rand()%256);
		aalineRGBA(pantalla, rand()%640, rand()%480, rand()%640, rand()%480, rand()%256, rand()%256, rand()%256,rand()%256);
		SDL_UpdateRect(pantalla,0,0,0,0);
		SDL_Delay(20);
	}
	
	SDL_Delay(20000);
	atexit(SDL_Quit);
}
